Package Details: plasma5-wallpapers-wallpaper-engine-git 0.5.3.r1.geca8c2b-1

Git Clone URL: https://aur.archlinux.org/plasma5-wallpapers-wallpaper-engine-git.git (read-only, click to copy)
Package Base: plasma5-wallpapers-wallpaper-engine-git
Description: A simple kde wallpaper plugin integrating wallpaper engine
Upstream URL: https://github.com/catsout/wallpaper-engine-kde-plugin
Keywords: wallpaper wallpaper-engine;kde;plasma
Licenses: GPL2
Conflicts: plasma5-wallpapers-wallpaper-engine
Provides: plasma5-wallpapers-wallpaper-engine
Submitter: epixtm
Maintainer: ZhangHua
Last Packager: ZhangHua
Votes: 8
Popularity: 0.50
First Submitted: 2021-07-13 19:10 (UTC)
Last Updated: 2022-06-27 02:05 (UTC)

Required by (0)

Sources (1)

Latest Comments

SunRed commented on 2022-04-20 20:10 (UTC)

I pushed a new package to the AUR now that uses a recently published fixed release tag and should also have the dependencies set correctly now with mpv being optional, just required for the build process (as stated in the readme).

You may want to add this package to your conflicts and provides.

fallenpixel commented on 2022-03-30 04:01 (UTC) (edited on 2022-03-30 13:10 (UTC) by fallenpixel)

If you'd allow me to suggest adding git submodule update --init to a prepare function, makepkg'd automatically handle the gslang submodule needed for compilation"

yanyongyu commented on 2022-03-24 12:55 (UTC)

vulkan-headers is needed. See https://github.com/catsout/wallpaper-engine-kde-plugin/commit/3170841d9027e6c338589af4df28ca30933d4754

D3SOX commented on 2022-03-22 09:18 (UTC)

See https://github.com/catsout/wallpaper-engine-kde-plugin/pull/135

epixtm commented on 2021-12-02 00:45 (UTC)

Thanks warigan, I applied the patch and credited you in the commit history. I've been busy and I don't use KDE on my main desktop so this was put on the backburner for awhile.

Erde commented on 2021-11-23 17:48 (UTC)

Can confirm warigan's patch works (after adding the missing spaces before newlines without a - or +). Much obliged.

warigan commented on 2021-11-20 02:08 (UTC) (edited on 2021-11-23 22:30 (UTC) by warigan)

I had the same issue.

In upstream commit cf694e4 installation of plugin is handled by cmake instead of plasmapkg2. It seems some additional dependencies was also specified in the README.

I made a patch where plasmapkg2 is no longer used to install plugin and I also added the dependencies, see below. It seems to work for me.

https://gist.github.com/warigan/be5ade18876fdeea67436ff72583c5be

Edit: Trouble with formatting in markdown, so I added it as a gist instead. Fixes problem with spaces on some lines.

Erde commented on 2021-11-18 22:34 (UTC)

Can confirm the issue reported by miss_barfin. Happens in a clean build environment even when not using an AUR helper.

Additionally, the build process seems to need the extra-cmake-modules package otherwise you get an error related to ECM.

miss_barfin commented on 2021-11-18 11:25 (UTC)

Error: Installation of /home/barfin/.cache/paru/clone/plasma5-wallpapers-wallpaper-engine-git/src/plasma5-wallpapers-wallpaper-engine-git/plugin failed: /home/barfin/.cache/paru/clone/plasma5-wallpapers-wallpaper-engine-git/pkg/plasma5-wallpapers-wallpaper-engine-git/usr/share/plasma/wallpapers/com.github.casout.wallpaperEngineKde already exists